IOVCTL(8)

NAME
iovctl - PCI SR-IOV configuration utility

SYNOPSIS
iovctl -C -f config-file [-n]
iovctl -D [-f config-file | -d device] [-n]
iovctl -S [-f config-file | -d device]

DESCRIPTION
The iovctl utility creates or destroys PCI Single-Root I/O Virtualization (SR-IOV) Virtual Functions (VFs). When invoked with the -C flag, iovctl creates VFs as children of the Physical Function (PF) configured in the specified configuration file. When invoked with the -D flag, iovctl destroys all VFs that are children of the specified device. Available PF devices can be seen in /dev/iov/.

The following options are available:

-C  Enable SR-IOV on the specified PF device and create VF children. This operation will fail if the PF already has VF children. This option must be used in conjunction with the -f option.

-d device
    Specify the PF device to use for the given operation. device may either be the name of a PF device, or a full path name to a node in /dev/iov/. This option may not be used with the -C option.

-D  Delete all VF children of the specified PF device. This operation will fail if SR-IOV is not currently enabled on the specified device.

-f config-file
    Specify the pathname of the configuration file. For the -C option, this file will be used to specify all configuration values. For the -D and -S options, this file will only be used to specify the name of the PF device.

    See iovctl.conf for a description of the config file format and documentation of the configuration parameters that apply to all PF drivers. See the PF driver manual page for configuration parameters specific to particular hardware.

-n  Perform a dry-run. Perform all validation of the specified action and print what would be done, but do not perform the actual creation or destruction of VFs. This option may not be used with the -S flag.

-S  Read the configuration schema from the specified device and print its contents to stdout. This action may be used to discover the configuration parameters supported on a given PF device.

SEE ALSO
iovctl.conf(5), rc.conf(5)

AUTHORS
This manual page was written by Ryan Stone <rstone@FreeBSD.org>.